<id>
Calendar
</id>

<version>
2.1
</version>

<mod info>
Calendar mod SP1 v2.1

By Karl De Vine 'Karlos' (email: karldevine@hotmail.com)
Modified by Jarno Jokinen 'jaska' (email: jarno@jokinen.as)
	Matthew Throesch 'throesch' (email: Mthroesch@hotmail.com)
	Matthew Harold 'mathar' (email: MatharTG@yahoo.com)

Features:
Year/Month/Day View
Public/Private Messages
User deletes own message
Admin deletes any message
Birthday display
Calendar icon in menu bar
Event view
Admin settings: - no of months in past/future 
		- set year view width
		- guest access
		- display at top or bottom of board index
		- allow private messages
		- show Calendar info at Board Index
		- show Calendar info at top/bottom Board Index
		- display upcoming events
		- show sundays in red color
		- show floating calendar
		- show birthdays in calendar
		- let only admin make notes to calendar
		- delete old messages
		- Customisable template (different for year/month view)

Installation instructions:

1. backup
2. create folder calendar in /variables - chmod 755 as usual (check chmod if posts do not display)
3. copy the holidays.txt file to the calendar folder
4. copy all the .gif files to your YaBBImages folder
5. copy Calendar.pl to /sources
6. Run calendar.mod

Thanks to (in alphabetical order)
For the Original: Karlos
For code/bits: alan, cae, ceag, demonslayer, hux, michael, omario, salesplaza, throesch
For test: AD1, bierhasser, Big P, codehammer, iamdamnsam, makavelli, milka_kuh, Taz-mania
All those who created/updated/modded YaBB
</mod info>

<author>
Jarno Jokinen
</author>

<homepage>

</homepage>

<edit file>
YaBB.pl
</edit file>

<search for>
	elsif ($action eq 'calendar') { require "$sourcedir/Calendar.pl"; &cal_list; }
	elsif ($action eq 'calendar2') { require "$sourcedir/Calendar.pl"; &cal_month; }
	elsif ($action eq 'calendar3') { require "$sourcedir/Calendar.pl"; &cal_modify; }
	elsif ($action eq 'calendar4') { require "$sourcedir/Calendar.pl"; &cal_modify2; }
	elsif ($action eq 'calendar5') { require "$sourcedir/Calendar.pl"; &cal_delete_message; }
	elsif ($action eq 'calendar6') { require "$sourcedir/Calendar.pl"; &caladmin;}
	elsif ($action eq 'calendar7') { require "$sourcedir/Calendar.pl"; &cal_save_settings;}
	elsif ($action eq 'calendar8') { require "$sourcedir/Calendar.pl"; &cal_delete_messages;}
</search for>

<add after>
	elsif ($action eq 'calhol') { require "$sourcedir/Calendar.pl"; &calhol;}
	elsif ($action eq 'calhol2') { require "$sourcedir/Calendar.pl"; &calholdeladd;}
	elsif ($action eq 'calhol3') { require "$sourcedir/Calendar.pl"; &calholedit;}
</add after>

<edit file>
english.lng
</edit file>

<search for>
#END#Calendar mod#
</search for>

<add before>
$caltxt{'53'} = "$caltxt{'39'}s";
$caltxt{'54'} = "Actions"; 
$caltxt{'55'} = "Year/Month/Day";
$caltxt{'56'} = "Add";
$caltxt{'57'} = "Edit";
$caltxt{'58'} = "Delete";
$caltxt{'59'} = "Event";
$caltxt{'60'} = "Add/Edit/Del/View Holidays";

</add before>